Summary:        Dynamic Kernel Module Support Framework
Name:           dkms
Version:        3.1.6
Release:        1%{?dist}
License:        GPLv2+
URL:            http://linux.dell.com/dkms
Source0:        https://github.com/dell/%{name}/archive/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make systemd

Requires:       coreutils cpio
Requires:       file findutils elfutils-libelf-devel   
Requires:       gawk gcc grep gzip
Requires:       kmod make sed tar which patch which
Requires:       kernel-devel-uname-r

Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

Recommends:     openssl

%description
This package provides the framework for the Dynamic Kernel Module Support (DKMS)
method for installing module RPMS as originally developed by Dell.



%prep
%autosetup -p1



%install
make install-redhat \
    DESTDIR=%{buildroot} \
    SBIN=%{_bindir}

sed -i -e 's|# modprobe_on_install="true"|modprobe_on_install="true"|g' %{buildroot}%{_sysconfdir}/%{name}/framework.conf



%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service



%files
%license COPYING
%doc README.md images
%{_prefix}/lib/%{name}
%{_prefix}/lib/kernel/install.d/40-%{name}.install
%{_mandir}/man8/dkms.8*
%{_bindir}/%{name}
%{_sharedstatedir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/framework.conf
%dir %{_sysconfdir}/%{name}/framework.conf.d
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/zsh/site-functions/_%{name}
%{_unitdir}/%{name}.service



%changelog
* Thu Apr 03 2025 Zhao Zhen <jeremiazhao@tencent.com> - 3.1.6-1
- updated to upstream 3.1.6

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.10-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.10-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.10-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jan 30 2023 Yi Lin <nilusyi@tencent.com> - 3.0.10-1
- package init.
